const mongoose = require('mongoose')

const SMSBroadcastSchema = mongoose.Schema({
  message: String,
  recievers: [
    {
      user_id: { type: mongoose.ObjectId, ref: 'User' },
      mobile_number: String
    }
  ],
  _creator: { type: mongoose.ObjectId, ref: 'User' }
})

module.exports = mongoose.model('SMSBroadcast', SMSBroadcastSchema)
